<?php
if ( ! class_exists( 'NISHIKI_BLOCKS_PRO_FILTER_FONT_SIZE' ) ) {
	/**
	 * ブロックフィルター
	 */
	class NISHIKI_BLOCKS_PRO_FILTER_FONT_SIZE {

		/**
		 * Constructor.
		 */
		public function __construct() {
			add_action( 'init', array( $this, 'localize_script' ), 10 );
		}

		public function localize_script(){
			global $wp_version;

			wp_localize_script(
				'wp-edit-post',
				'nishiki_pro_settings',
				array(
					'wp_version' => $wp_version
				)
			);
			wp_localize_script(
				'wp-blocks',
				'nishiki_pro_settings',
				array(
					'wp_version' => $wp_version
				)
			);
		}

	}

	new NISHIKI_BLOCKS_PRO_FILTER_FONT_SIZE();
}
